Bug 537066 - Review Request: cglib - Code generation library for Java
Summary: Review Request: cglib - Code generation library for Java
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: F13FeatureIDEA
Keywords:
: 469894 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 11:23 UTC by Lubomir Rintel
Modified: 2009-11-24 00:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 12:31:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2009-11-12 11:23:57 UTC
SPEC: http://mef.fedorapeople.org/packages/java-libraries/cglib.spec
SRPM: http://mef.fedorapeople.org/packages/java-libraries/cglib-2.2-5.fc10.src.rpm

Description:

cglib is a powerful, high performance and quality code generation library 
for Java. It is used to extend Java classes and implements interfaces 
at runtime.

Comment 1 Lubomir Rintel 2009-11-12 11:25:05 UTC
*** Bug 469894 has been marked as a duplicate of this bug. ***

Comment 2 Lubomir Rintel 2009-11-12 11:26:22 UTC
The package here is from bug #537066, I was satisfied with it (it would pass my review as-is if I were reviewing it), so I did not make any changes.

Comment 3 Lubomir Rintel 2009-11-12 11:39:52 UTC
(In reply to comment #2)
> The package here is from bug #537066

bug #469894

Comment 4 Jochen Schmitt 2009-11-12 17:28:30 UTC
Good:
+ Package fullfill naming guidelines
+ Consistently rpm macro usage
+ URL shows on proper homepage
+ License tag exclaim ASL 2.0 as valid OSS license
+ Package contains verbatin copy of the license text
+ Copyright notes in the sources matches with license tag
+ Could download upstream sources via spectool -g
+ Package tar ball matches with upstream
(md5sum: b1e6ebfb76ec7071b6a3f5f9d7df2e57)
+ Patch seams to be reliable
+ Package will build as noarch
+ Package has proper BuildRoot definition
+ Local build works fine
+ Rpmlint is silent for source package
+ Rpmlint is silent for binary package
+ Rpmlint is silent for javadoc package
+ Koji build works fine
+ Package as javadoc subpackage for Java API documentation
+ %doc stanza is small
+ Files stanza has proper file permissions definitions
+ All java class are put in a singel jar file
+ Package contains versioned and unversioned jar file
+ Files stanza has no duplicated entries
+ all package files are owned by the package
+ Package has no files which may belongs to other packages
+ Package has proper change log

*** APPROVED ***

Comment 5 Lubomir Rintel 2009-11-12 18:27:49 UTC
Danke schon Jochen!

New Package CVS Request
=======================
Package Name: cglib
Short Description: Code generation library for Java
Owners: lkundrak mef
Branches: F-12 EL-5

Comment 6 Jason Tibbitts 2009-11-13 19:32:32 UTC
CVS done.

Comment 7 Lubomir Rintel 2009-11-17 12:31:11 UTC
Thanks for review and CVS.
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.